using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;


namespace P12_1
{
    // 
    // ,       
    class Ball
    {
        //
        Texture2D sprTexture;
        //,   
        public Rectangle sprRectangle;
        //  
        public Vector2 sprPosition;
        // 
        public Vector2 sprSpeed;
        // 
        public Rectangle scrBounds;
        // -       
        //    
        public Ball(ContentManager content, Game game)
        {
            // 
            sprTexture = content.Load<Texture2D>("Ballandbats");
            // 
            sprRectangle = new Rectangle(16, 203, 17, 17);
            // 
            sprSpeed = new Vector2(-1.5f, -2.7f);
            //  
            scrBounds = new Rectangle(0, 0,
                game.Window.ClientBounds.Width,
                game.Window.ClientBounds.Height);
            //    
            sprPosition = new Vector2(scrBounds.Width / 2, scrBounds.Height / 2);
        }
        //   
        //    SpriteBatch
        //      Begin  End
        //        SpriteBatch
        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(sprTexture, sprPosition, sprRectangle, Color.White);
        }

    }
}
