using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace P12_1
{
    // 
    class Bat
    {
        //
        Texture2D sprTexture;
        //,   
        public Rectangle sprRectangle;
        //
        public Vector2 sprPosition;
        // 
        Rectangle scrBounds;
        // -     ,    
        //    
        public Bat(int PlIndex, ContentManager content, Game game)
        {
            // 
            sprTexture = content.Load<Texture2D>("Ballandbats");
            //     (  -  )
            if (PlIndex == 0)
            {
                //  
                sprRectangle = new Rectangle(18, 9, 17, 88);
                sprPosition = new Vector2(0, 0);
            }
            //   1 ( -  )
            if (PlIndex == 1)
            {
                //  
                sprRectangle = new Rectangle(17, 106, 17, 88);
                sprPosition = new Vector2(game.Window.ClientBounds.Width-sprRectangle .Width, 0);
            }
            // 
            scrBounds = new Rectangle(0, 0,
                game.Window.ClientBounds.Width,
                game.Window.ClientBounds.Height);
        }

        // ,     
        public void Draw(SpriteBatch spriteBatch)
        {
            //  ,       
            //  - 
            if (sprPosition.Y < scrBounds.Y) sprPosition.Y = scrBounds.Y;
            if (sprPosition.Y + sprRectangle.Height > scrBounds.Height) sprPosition.Y = scrBounds.Height - sprRectangle.Height;
            //   
            spriteBatch.Draw(sprTexture, sprPosition, sprRectangle, Color.White);
        }

    }
}
